aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-12-29 11:26:09 +0100
committerJakub Jirutka <jakub@jirutka.cz>2016-12-29 11:26:09 +0100
commitb7b7d64c47f303769e4ef21202cd026d872b7492 (patch)
tree2e52d17bf6c44bdd2d633a67faac983452c2805e /testing
parentdd2294531945209dce5e7fdddcb8ec9e1dee32f3 (diff)
downloadaports-b7b7d64c47f303769e4ef21202cd026d872b7492.tar.gz
aports-b7b7d64c47f303769e4ef21202cd026d872b7492.tar.bz2
aports-b7b7d64c47f303769e4ef21202cd026d872b7492.tar.xz
testing/boost-build: fix abuild
Diffstat (limited to 'testing')
-rw-r--r--testing/boost-build/APKBUILD27
1 files changed, 15 insertions, 12 deletions
diff --git a/testing/boost-build/APKBUILD b/testing/boost-build/APKBUILD
index 9a8c9edd6e..db0f60d46e 100644
--- a/testing/boost-build/APKBUILD
+++ b/testing/boost-build/APKBUILD
@@ -2,17 +2,17 @@
# Maintainer: Valery Kartel <valery.kartel@gmail.com>
pkgname=boost-build
pkgver=1.62.0
-pkgrel=0
+pkgrel=1
pkgdesc="Boost.Build makes it easy to build C++ projects, everywhere"
-url="http://boost.org/${pkgname#*-}"
+url="http://boost.org/build"
arch="all"
license="custom:boost"
depends="boost-dev"
makedepends=""
subpackages="$pkgname-doc"
-source="https://github.com/boostorg/${pkgname#*-}/archive/${pkgname%%-*}-$pkgver.tar.gz
- LICENSE::http://boost.org/LICENSE_1_0.txt"
-builddir="$srcdir"/${pkgname#*-}-${pkgname%%-*}-$pkgver
+source="$pkgname-$pkgver.tar.gz::https://github.com/boostorg/${pkgname#*-}/archive/${pkgname%%-*}-$pkgver.tar.gz
+ $pkgname-$pkgver-LICENSE.txt::http://boost.org/LICENSE_1_0.txt"
+builddir="$srcdir/${pkgname#*-}-${pkgname%%-*}-$pkgver"
build() {
cd "$builddir"
@@ -21,15 +21,18 @@ build() {
package() {
cd "$builddir"
+
./b2 install --prefix="$pkgdir"/usr || return 1
- install -Dm644 "$srcdir"/LICENSE "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+ install -Dm644 "$srcdir"/$pkgname-$pkgver-LICENSE.txt \
+ "$pkgdir"/usr/share/doc/$pkgname/LICENSE || return 1
+
mv "$pkgdir"/usr/share/$pkgname/example "$pkgdir"/usr/share/doc/$pkgname
rm "$pkgdir"/usr/bin/bjam
}
-md5sums="12cc948c2bfc29d306b07f059b143f70 boost-1.62.0.tar.gz
-e4224ccaecb14d942c71d31bef20d78c LICENSE"
-sha256sums="ed5fd20eadb6bb8c26a9e1c50cd3e7a701ce05935a606075ac3c10223c168f68 boost-1.62.0.tar.gz
-c9bff75738922193e67fa726fa225535870d2aa1059f91452c411736284ad566 LICENSE"
-sha512sums="4940b058c60223408fca8f022244fe7eb333ff0a8d38e7e9668ccccedae9dc231e7f1a9547cce2975b1176a77289a6ea479e459d64c6650615d8db87a18af17c boost-1.62.0.tar.gz
-d6078467835dba8932314c1c1e945569a64b065474d7aced27c9a7acc391d52e9f234138ed9f1aa9cd576f25f12f557e0b733c14891d42c16ecdc4a7bd4d60b8 LICENSE"
+md5sums="12cc948c2bfc29d306b07f059b143f70 boost-build-1.62.0.tar.gz
+e4224ccaecb14d942c71d31bef20d78c boost-build-1.62.0-LICENSE.txt"
+sha256sums="ed5fd20eadb6bb8c26a9e1c50cd3e7a701ce05935a606075ac3c10223c168f68 boost-build-1.62.0.tar.gz
+c9bff75738922193e67fa726fa225535870d2aa1059f91452c411736284ad566 boost-build-1.62.0-LICENSE.txt"
+sha512sums="4940b058c60223408fca8f022244fe7eb333ff0a8d38e7e9668ccccedae9dc231e7f1a9547cce2975b1176a77289a6ea479e459d64c6650615d8db87a18af17c boost-build-1.62.0.tar.gz
+d6078467835dba8932314c1c1e945569a64b065474d7aced27c9a7acc391d52e9f234138ed9f1aa9cd576f25f12f557e0b733c14891d42c16ecdc4a7bd4d60b8 boost-build-1.62.0-LICENSE.txt"